curl --request GET \
--url https://cloud.comfy.org/api/assets/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://cloud.comfy.org/api/assets/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://cloud.comfy.org/api/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_hash": "<string>",
"mime_type": "<string>",
"tags": [
"<string>"
],
"user_metadata": {},
"preview_url": "<string>",
"preview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_access_time": "2023-11-07T05:31:56Z",
"is_immutable": true
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Get asset details
Retrieves detailed information about a specific asset
Authorizations
API key authentication. Generate an API key from your account settings at https://platform.comfy.org/profile/api-keys. Pass the key in the X-API-Key header.
Path Parameters
Asset ID
Response
Asset details retrieved successfully
Unique identifier for the asset
Name of the asset file
Size of the asset in bytes
Timestamp when the asset was created
Timestamp when the asset was last updated
Blake3 hash of the asset content
^blake3:[a-f0-9]{64}$MIME type of the asset
Tags associated with the asset
Custom user metadata for the asset
URL for asset preview/thumbnail
ID of the preview asset if available
ID of the job/prompt that created this asset, if available
Timestamp when the asset was last accessed
Whether this asset is immutable (cannot be modified or deleted)
Was this page helpful?